#pragma once

#include <string>
#include <vector>

class StringUtils
{
public:
    static constexpr char LEFT_BRACKET = '<';
    static constexpr char RIGHT_BRACKET = '>';
    static constexpr char FORWARD_SLASH = '/';
    static constexpr char BACK_SLASH = '\\';
    static constexpr char QUESTION_MARK = '?';
    static constexpr char EQUALS = '=';
    static constexpr char DOUBLE_QUOTE = '"';
    static constexpr char SINGLE_QUOTE = '\'';
    static constexpr char COLON = ':';

    static bool IsAlphaNumeric(char c);
    static bool IsSpace(char c);
    static std::string ToLower(const std::string& s);
    static std::string convert(const std::wstring& input);
    static std::string ToPaddedString(unsigned numBytes, unsigned entry);
    static std::vector<std::string> split(const std::string& input);
    static std::string strip(const std::string& input);
    static std::string stripQuotes(const std::string& input);
};
